Bug 245725 - anaconda fails to mark iSCSI root with _netdev mount option
anaconda fails to mark iSCSI root with _netdev mount option
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-26 07:06 EDT by Mark McLoughlin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-19 11:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2007-06-26 07:06:20 EDT
+++ This bug was initially created as a clone of Bug #244994 +++

With RHEL5-Server-20070620.nightly when installing to iSCSI root, I end up with
the following entries in /etc/fstab:

  /dev/VolGroup00/LogVol00 /    ext3 defaults        1 1
  LABEL=/boot             /boot ext3 defaults,_netdev 1 2

It's clearly not the driveIsIscsi() logic which is failing, since /boot is
getting marked with _netdev and:

  >>> os.path.islink("/sys/block/sda/device")
  >>> target = os.readlink("/sys/block/sda/device")       
  >>> target
  <_sre.SRE_Match object at 0x2aaaac4358a0>

Need the flag set so that we can disable Xen bridging on iSCSI root - see bug

-- Additional comment from markmc@redhat.com on 2007-06-26 06:57 EST --
Okay, the problem turns out to be that the mount options from the
LogicalVolumeDevice are taken by the FileSystemSetEntry during the
"partitiondone" step.

However, the device is only marked with _netdev during the "enablefilesystems"
step, which comes after the "partitiondone" step.

Attaching a patch which fixes the problem by adding a getOptions() method to
FileSystemSetEntry which means the device options are only read when /etc/fstab
is being written during the "preinstallconfig" step which comes after the
"enablefilesystems" step.

-- Additional comment from markmc@redhat.com on 2007-06-26 06:59 EST --
Created an attachment (id=157877)
Comment 1 Mark McLoughlin 2007-06-26 07:08:07 EDT
Cloning from RHEL5 - rawhide looks to have the same problem, although I haven't
actually reproduced with rawhide

Note You need to log in before you can comment on or make changes to this bug.